Subject: Re: bug#40506: 26.3; vc-log CVS commit message includes "Summary: "

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 20 Aug 2020 15:56:12 +0200

Morgan Willcock <[email-masked]> writes:

> As noted in the previous bug report:
>
> "I'm puzzled, however, why hasn't anyone else reported this problem by
> now? Maybe nobody uses most of those, but what about CVS? Do its users
> just stay on older Emacs versions?"

I guess nobody uses CVS these days...

I've now fixed this in Emacs 28 for cvs.

> I can confirm that the same issue exists, although maybe there should be
> better way to opt in or out of the behaviour instead of hard-coding it per
> provider?

That sounds like a better structure here, but I guess it's difficult as
some providers use some of the headers, and others don't, if I
understand things correctly.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no